﻿using Infragistics.Win.UltraWinExplorerBar;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp2
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.ultraExplorerBar1.GroupSettings.AllowDrag = Infragistics.Win.DefaultableBoolean.True;
            this.ultraExplorerBar1.GroupSettings.AllowItemDrop = Infragistics.Win.DefaultableBoolean.True;

            this.ultraExplorerBar1.ItemSettings.AllowDragCopy = Infragistics.Win.UltraWinExplorerBar.ItemDragStyle.WithinAndAcrossGroups;
            this.ultraExplorerBar1.ItemSettings.AllowDragMove = Infragistics.Win.UltraWinExplorerBar.ItemDragStyle.WithinAndAcrossGroups;

            this.ultraExplorerBar2.ItemSettings.AllowDragCopy = Infragistics.Win.UltraWinExplorerBar.ItemDragStyle.WithinAndAcrossGroups;
            this.ultraExplorerBar2.ItemSettings.AllowDragMove = Infragistics.Win.UltraWinExplorerBar.ItemDragStyle.WithinAndAcrossGroups;

            this.ultraExplorerBar1.ItemDragging += UltraExplorerBar1_ItemDragging;
            this.ultraExplorerBar1.DragDrop += UltraExplorerBar1_DragDrop;
            this.ultraExplorerBar1.ItemDragOver += UltraExplorerBar1_ItemDragOver;
            this.ultraExplorerBar1.DragLeave += UltraExplorerBar1_DragLeave;
            this.ultraExplorerBar2.ItemDragOver += UltraExplorerBar2_ItemDragOver;
            this.ultraExplorerBar2.DragEnter += UltraExplorerBar2_DragEnter;
            this.ultraExplorerBar2.MouseEnter += UltraExplorerBar2_MouseEnter;
            this.ultraExplorerBar2.DragOver += UltraExplorerBar2_DragOver; ;
            this.ultraExplorerBar2.DragDrop += UltraExplorerBar2_DragDrop;
        }

        UltraExplorerBarItem item;


        private void UltraExplorerBar2_MouseEnter(object sender, EventArgs e)
        {
            if (item != null)
            {
                //this.ultraExplorerBar2.DoDragDrop(item, DragDropEffects.Copy);
                this.ultraExplorerBar2.Groups[1].Items.AddRange(new Infragistics.Win.UltraWinExplorerBar.UltraExplorerBarItem[] { item });
                item = null;
            }

        }

        private void UltraExplorerBar1_ItemDragOver(object sender, Infragistics.Win.UltraWinExplorerBar.ItemDragOverEventArgs e)
        {
            
        }

        private void UltraExplorerBar1_DragLeave(object sender, EventArgs e)
        {
            if (item != null)
            {
                this.ultraExplorerBar1.DoDragDrop(item, DragDropEffects.Copy);

            }
        }

        private void UltraExplorerBar1_DragDrop(object sender, DragEventArgs e)
        {
        }

        private void UltraExplorerBar2_DragEnter(object sender, DragEventArgs e)
        {
            e.Effect = DragDropEffects.Copy;
        }


        private void UltraExplorerBar2_DragOver(object sender, DragEventArgs e)
        {
            throw new NotImplementedException();
        }


        private void UltraExplorerBar2_DragDrop(object sender, DragEventArgs e)
        {

        }

        private void UltraExplorerBar2_ItemDragOver(object sender, Infragistics.Win.UltraWinExplorerBar.ItemDragOverEventArgs e)
        {
            
        }

        private void UltraExplorerBar1_ItemDragging(object sender, Infragistics.Win.UltraWinExplorerBar.CancelableItemEventArgs e)
        {
            item = e.Item;
            //this.ultraExplorerBar1.DoDragDrop(item, DragDropEffects.Copy);
        }
    }
}
